petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSPseudoVerifyTimeStepDefault

Default code to verify the quality of the last timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoVerifyTimeStepDefault(TS ts,Vec update,void *dtctx,PetscReal *newdt,PetscBool  *flag)

Collective on TS

### Input Parameters

| ts | - the timestep context
| dtctx | - unused timestep context
| update | - latest solution vector

### Output Parameters

| newdt | - the timestep to use for the next step
| flag | - flag indicating whether the last time step was acceptable

### Note

This routine always returns a flag of 1, indicating an acceptable timestep.

### Keywords

timestep, pseudo, default, verify

### See Also

TSPseudoSetVerifyTimeStep(), TSPseudoVerifyTimeStep()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages